# Generated from duet-bootstrap-1.1.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name duet-bootstrap

Name: rubygem-%{gem_name}
Version: 1.1.2
Release: 1%{?dist}
Summary: Generates a NetLinx workspace to load a Duet project
License: Apache 2.0
URL: https://sourceforge.net/p/duet-bootstrap/wiki/Home/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(pry)
BuildArch: noarch

%description
This script generates a NetLinx workspace and source code to start up a Duet
module. It is intended to be used when the entire AMX system has been
programmed in Duet.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/duet-bootstrap
%{gem_instdir}/bin
%{gem_libdir}
%license %{gem_instdir}/license.txt
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.html
%doc %{gem_instdir}/doc

%changelog
* Mon Apr 18 2022 mockbuilder - 1.1.2-1
- Initial package
